# Uses of Interface
com.usatiuk.kleppmanntree.TreeNode

Packages that use TreeNode
Package
Description
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.dhfs.jkleppmanntree.structs
com.usatiuk.kleppmanntree

## Uses of TreeNode in com.usatiuk.dhfs.jkleppmanntree

Methods in com.usatiuk.dhfs.jkleppmanntree with parameters of type TreeNode
Modifier and Type
Method
Description
`void`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`putNode(TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> node)`
Method parameters in com.usatiuk.dhfs.jkleppmanntree with type arguments of type TreeNode
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<String,JObjectKey>`
JKleppmannTreeManager.JKleppmannTree.`findParent(Function<TreeNode<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey>,Boolean> predicate)`

## Uses of TreeNode in com.usatiuk.dhfs.jkleppmanntree.structs

Classes in com.usatiuk.dhfs.jkleppmanntree.structs that implement TreeNode
Modifier and Type
Class
Description
`final record`
`JKleppmannTreeNode`

## Uses of TreeNode in com.usatiuk.kleppmanntree

Methods in com.usatiuk.kleppmanntree that return TreeNode
Modifier and Type
Method
Description
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
StorageInterface.`createNewNode(NodeIdT key, NodeIdT parent, MetaT meta)`
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
StorageInterface.`getById(NodeIdT id)`
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
TreeNode.`withChildren(org.pcollections.PMap<String,NodeIdT> children)`
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
TreeNode.`withLastEffectiveOp(OpMove<TimestampT,PeerIdT,MetaT,NodeIdT> lastEffectiveOp)`
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
TreeNode.`withMeta(MetaT meta)`
`TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>`
TreeNode.`withParent(NodeIdT parent)`
Methods in com.usatiuk.kleppmanntree with parameters of type TreeNode
Modifier and Type
Method
Description
`void`
StorageInterface.`putNode(TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT> node)`
Method parameters in com.usatiuk.kleppmanntree with type arguments of type TreeNode
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<String,NodeIdT>`
KleppmannTree.`findParent(Function<TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>,Boolean> kidPredicate)`
`void`
KleppmannTree.`walkTree(Consumer<TreeNode<TimestampT,PeerIdT,MetaT,NodeIdT>> consumer)`